RDKit::Conformer Class Reference

The class for representing 2D or 3D conformation of a molecule. More...

`#include <Conformer.h>`

## Public Member Functions

| Conformer ()
| Constructor. More...
| Conformer (unsigned int numAtoms)
| Constructor with number of atoms specified ID specification. More...
| Conformer (const Conformer &other)
| Copy Constructor: initialize from a second conformation. More...
| ~Conformer ()
| Destructor. More...
void | resize (unsigned int size)
void | reserve (unsigned int size)
| Reserve more space for atom position. More...
ROMol & | getOwningMol () const
| Get the molecule that oqns this conformation. More...
const RDGeom::POINT3D_VECT & | getPositions () const
| Get a const reference to the vector of atom positions. More...
RDGeom::POINT3D_VECT & | getPositions ()
| Get a reference to the atom positions. More...
const RDGeom::Point3D & | getAtomPos (unsigned int atomId) const
| Get the position of the specified atom. More...
RDGeom::Point3D & | getAtomPos (unsigned int atomId)
| Get the position of the specified atom. More...
void | setAtomPos (unsigned int atomId, const RDGeom::Point3D &position)
| Set the position of the specified atom. More...
unsigned int | getId () const
| get the ID of this conformer More...
void | setId (unsigned int id)
| set the ID of this conformer More...
unsigned int | getNumAtoms () const
| Get the number of atoms. More...
bool | is3D () const
void | set3D (bool v)

## Protected Member Functions

void | setOwningMol (ROMol *mol)
| Set owning moelcule. More...
void | setOwningMol (ROMol &mol)
| Set owning moelcule. More...

## Friends

class | ROMol

## Detailed Description

The class for representing 2D or 3D conformation of a molecule.

This class contains

- a pointer to the owing molecule
- a vector of 3D points (positions of atoms)

Definition at line 41 of file Conformer.h.

## Constructor & Destructor Documentation

RDKit::Conformer::Conformer | ( |  | ) |

inline

Constructor.

Definition at line 47 of file Conformer.h.

RDKit::Conformer::Conformer | ( | unsigned int | numAtoms | ) |

inline

Constructor with number of atoms specified ID specification.

Definition at line 52 of file Conformer.h.

RDKit::Conformer::Conformer | ( | const Conformer & | other | ) |

Copy Constructor: initialize from a second conformation.

RDKit::Conformer::~Conformer | ( |  | ) |

inline

Destructor.

Definition at line 65 of file Conformer.h.

## Member Function Documentation

const RDGeom::Point3D& RDKit::Conformer::getAtomPos | ( | unsigned int | atomId | ) | const

Get the position of the specified atom.

RDGeom::Point3D& RDKit::Conformer::getAtomPos | ( | unsigned int | atomId | ) |

Get the position of the specified atom.

unsigned int RDKit::Conformer::getId | ( |  | ) | const

inline

get the ID of this conformer

Definition at line 103 of file Conformer.h.

unsigned int RDKit::Conformer::getNumAtoms | ( |  | ) | const

inline

Get the number of atoms.

Definition at line 111 of file Conformer.h.

ROMol& RDKit::Conformer::getOwningMol | ( |  | ) | const

inline

Get the molecule that oqns this conformation.

Definition at line 79 of file Conformer.h.

const RDGeom::POINT3D_VECT& RDKit::Conformer::getPositions | ( |  | ) | const

Get a const reference to the vector of atom positions.

Referenced by RDKit::Drawing::DrawMol().

RDGeom::POINT3D_VECT& RDKit::Conformer::getPositions | ( |  | ) |

Get a reference to the atom positions.

bool RDKit::Conformer::is3D | ( |  | ) | const

inline

Definition at line 115 of file Conformer.h.

void RDKit::Conformer::reserve | ( | unsigned int | size | ) |

inline

Reserve more space for atom position.

Definition at line 74 of file Conformer.h.

void RDKit::Conformer::resize | ( | unsigned int | size | ) |

inline

Resize the conformer so that more atoms location can be added. Useful, for e.g., when adding hydrogens

Definition at line 69 of file Conformer.h.

void RDKit::Conformer::set3D | ( | bool | v | ) |

inline

Definition at line 118 of file Conformer.h.

void RDKit::Conformer::setAtomPos | ( | unsigned int | atomId,
|  | const RDGeom::Point3D & | position
| ) |  |

inline

Set the position of the specified atom.

Definition at line 94 of file Conformer.h.

void RDKit::Conformer::setId | ( | unsigned int | id | ) |

inline

set the ID of this conformer

Definition at line 106 of file Conformer.h.

void RDKit::Conformer::setOwningMol | ( | ROMol * | mol | ) |

protected

Set owning moelcule.

void RDKit::Conformer::setOwningMol | ( | ROMol & | mol | ) |

protected

Set owning moelcule.

## Friends And Related Function Documentation

friend class ROMol

friend

Definition at line 44 of file Conformer.h.

The documentation for this class was generated from the following file:

- Conformer.h